Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 266443 (CVE-2009-1189)

Summary: <=sys-apps/dbus-1.2.3-r1: Invalid Patch for CVE-2008-3834 (CVE-2009-1189)
Product: Gentoo Security Reporter: Alex Legler (RETIRED) <a3li>
Component: VulnerabilitiesAssignee: Gentoo Security <security>
Status: RESOLVED OBSOLETE    
Severity: minor CC: freedesktop-bugs
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
URL: https://bugs.freedesktop.org/show_bug.cgi?id=17803
Whiteboard: B3 [noglsa]
Package list:
Runtime testing required: ---

Description Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-16 22:41:39 UTC
+++ This bug was initially created as a clone of Bug #240308 +++

A call to dbus_signature_validate() can crash dbus.

The applied patch via bug 240308 is invalid.

Further Reference: http://www.openwall.com/lists/oss-security/2009/04/16/13
Comment 1 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-04-16 22:47:48 UTC
The current additional patch to be applied on top of the old one can be found here: https://bugs.freedesktop.org/attachment.cgi?id=24436

However, upstream are not yet completely sure if they got it right this time.
So maybe we should give them some more time to ascertain the validity before applying.
Comment 2 Alex Legler (RETIRED) archtester Gentoo Infrastructure gentoo-dev Security 2009-05-01 11:22:52 UTC
CVE-2009-1189 (http://nvd.nist.gov/nvd.cfm?cvename=CVE-2009-1189):
  The _dbus_validate_signature_with_reason function
  (dbus-marshal-validate.c) in D-Bus (aka DBus) uses incorrect logic to
  validate a basic type, which allows remote attackers to spoof a
  signature via a crafted key.  NOTE: this is due to an incorrect fix
  for CVE-2008-3834.
Comment 3 Gilles Dartiguelongue gentoo-dev 2009-12-06 15:59:57 UTC
gentopia is no more, updating CC list.
Comment 4 Gilles Dartiguelongue gentoo-dev 2010-09-13 21:46:02 UTC
1.2.3 has been removed from the tree.
Comment 5 Chris Reffett (RETIRED) gentoo-dev Security 2013-08-22 15:31:52 UTC
Obsolete, long gone from tree and not important enough for a GLSA at this point. Closing.